/*
Gwenview - A simple image viewer for KDE
Copyright (C) 2000-2001 Aurlien Gteau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef THUMBNAILWIDGET_H
#define THUMBNAILWIDGET_H

#include <kiconview.h>
#include <kfileview.h>


class QProgressDialog;
class KConfig;

class FileThumbnailView : public QIconView, public KFileView {
Q_OBJECT
public:
	FileThumbnailView(QWidget* parent);
	
	void readConfig(KConfig*,QString);
	void writeConfig(KConfig*,QString) const;

	QWidget* widget() { return this; }
	void clearView();
	void clearSelection() { QIconView::clearSelection(); }

	void insertItem(KFileViewItem* item);
	void ensureItemVisible(const KFileViewItem* item);
	void setSelected(const KFileViewItem* item,bool enable);
	bool isSelected(const KFileViewItem* item) const;
	void removeItem(const KFileViewItem* item);

private:
	int mThumbnailSize,mMarginSize;
	QProgressDialog* mProgressDialog;
};


#endif
