/*
Gwenview - A simple image viewer for KDE
Copyright (C) 2000-2001 Aurlien Gteau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef FILEWIDGET_H
#define FILEWIDGET_H

#include <qobject.h>
#include <qwidgetstack.h>


class QIconViewItem;
class QListViewItem;

class FileThumbnailView;
class KConfig;
class KFileDetailView;
class KFileView;

class FileWidget : public QWidgetStack {
Q_OBJECT

public:
	enum Mode { FileList, Thumbnail};

	FileWidget(QWidget* parent,Mode);
	~FileWidget();

	void readConfig(KConfig*,QString);
	void writeConfig(KConfig*,QString) const;

	void setMode(Mode);

public slots:
	void select(QString);
	void selectFirst();
	void selectLast();
	void selectPrevious();
	void selectNext();
	
	void removeItem(KFileItem* item);
	void newItems(const KFileItemList& items);
	void clear();
	
signals:
	void filenameChanged(QString filename);

private slots:
	void detailChanged(QListViewItem* item);
	void thumbnailChanged(QIconViewItem* item);

private:
	Mode mMode;
	KFileDetailView* mFileDetailView;
	FileThumbnailView* mFileThumbnailView;

	KFileView* currentFileView() const;
};


#endif
