/*
Gwenview - A simple image viewer for KDE
Copyright (C) 2000-2001 Aurlien Gteau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef MAINWINDOW_H
#define MAINWINDOW_H


#include <kdockwidget.h>
#include <kfileitem.h>

class KAction;
class KToggleAction;

class FileWidget;
class FolderWidget;
class ImageFileReader;
class PixmapWidget;
class ThumbnailWidget;


class MainWindow : public KDockMainWindow {
Q_OBJECT
public:
	MainWindow();

/**
 * Save config
 */
	~MainWindow();

public slots:
	void setFullPath(QString);
	void setFolder(QString);
	void setFilename(QString);

private:
	KDockWidget* mFolderDock;
	KDockWidget* mFileDock;
	KDockWidget* mPixmapDock;

	FileWidget* mFileWidget;
	FolderWidget* mFolderWidget;
	PixmapWidget* mPixmapWidget;
	ImageFileReader* mFileReader;

	QString mFolder,mFilename;

	KAction* mRenameFile;
	KAction* mCopyFile;
	KAction* mDeleteFile;
	KAction* mSelectFirst;
	KAction* mSelectLast;
	KAction* mSelectPrevious;
	KAction* mSelectNext;
	KToggleAction* mToggleThumbnails;

	void createWidgets(bool startWithThumbnails);
	void createActions(bool startWithThumbnails);
	void createMenu();

private slots:
	void deleteFile();
	void renameFile();
    void copyFile();
	void toggleThumbnails();
	void fileReaderCompleted();
};


#endif
