/*
Gwenview - A simple image viewer for KDE
Copyright (C) 2000-2001 Aurlien Gteau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#include <iostream>

// QT includes
#include <qpixmap.h>
#include <qpixmapcache.h>
#include <qpainter.h>

// Our includes
#include "pixmapwidget.moc"


void PixmapWidget::drawContents(QPainter* painter,int clipx,int clipy,int clipw,int cliph) {
	if (mPixmap.isNull()) {
		painter->eraseRect(clipx,clipy,clipw,cliph);
	} else {
		painter->drawPixmap(clipx,clipy,mPixmap,clipx,clipy,clipw,cliph);
	}
}


void PixmapWidget::DisplayFile(QString filepath) {
	cout << "Loading " << filepath;

	if ( QPixmapCache::find(filepath,mPixmap) ) {
		cout << " - ok (From cache)\n";
	} else {
		if (mPixmap.load(filepath)) {
			cout << " - ok\n";
			QPixmapCache::insert(filepath,mPixmap);
		} else {
			cout << " - error\n";
			DisplayNothing();
			return;
		}
	}
	resizeContents(mPixmap.width(),mPixmap.height());
	viewport()->repaint(true);
}


void PixmapWidget::DisplayNothing() {
	mPixmap.resize(0,0);
	resizeContents(0,0);
	viewport()->repaint(true);
}
